[Debian] Installation de eclipse ne passe pas


#1

Bonjour.

J’ai une Debian sarge sur mon Dell et j’ai besoin de eclipse pour bosser. J’avais installé eclipse 2.1.2 de sid sans avoir eu de problèmes. Il y a quelques semaines j’ai cherché à mettre la 2.1.3 mais ça n’a pas marché. J’ai le message d’erreur suivant:

[quote]Réception de : 1 ftp://ftp.de.debian.org unstable/contrib eclipse-platform 2.1.3-1 [25,5MB]
25,5Mo réceptionnés en 45s (564ko/s)
Reading package fields… Done
Reading package status… Done
Retrieving bug reports… Done
Sélection du paquet eclipse-platform précédemment désélectionné.
(Lecture de la base de données… 96452 fichiers et répertoires déjà installés.)
Dépaquetage de eclipse-platform (à partir de …/eclipse-platform_2.1.3-1_i386.deb) …
Paramétrage de eclipse-platform (2.1.3-1) …
Updating initial eclipse configuration…Eclipse configuration initializing failed!
Using Java Version:
gij (GNU libgcj) version 3.3.3 (Debian 20040401)

Copyright © 2002 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
dpkg : erreur de traitement de eclipse-platform (–configure) :
le sous-processus post-installation script a retourné une erreur de sortie d’état 1
Des erreurs ont été rencontrées pendant l’exécution :
eclipse-platform
E: Sub-process /usr/bin/dpkg returned an error code (1)
[/quote]

Que faire? merci de vos réponses.


#2

du nouveau!
Après deux heures d’efforts j’ai presque abouti à ce que je voulais:
Pour résoudre mon problème d’installation d’eclipse par paquet, j’ai désinstallé gij. Eclipse était alors installé, mais n’arrêtait pas de planter!
La JVM du paquet j2re fourni par jopa.studentweb.org occasionnant régulièrement des crash de mozilla et rendant eclipse inutilisable j’ai décidé de m’en séparer. En désinstallant le paque eclipse a sauté aussi pour le compte.
J’ai donc téléchargé eclipse en .gz et le java j2re1.4 chez sun. Puis n’ayant pas réussi à faire marcher la JVM de SUN, j’ai téléchargé celle d’IBM.
Maintenant j’ai donc la JVM d’IBM installé dans /opt. J’ai rajouté le lien dans le path, eclipse fonctionne avec ça roulez!

Pour utiliser la JVM de IBM comme plugin mozilla, comme dis la doc j’ai cp /opt/IBMJava2/jre/bin/javaplugin.so /usr/lib/mozilla/plugins/
Mozilla detecte le plugin, mais aucune appli java ne fonctionne! Pourquoi?


#3

ok ça marche!
j’ai fais des liens symbolique suivants:
ln -s /opt/IBMJava2/jre/bin/libjavaplugin_ojigcc3.so /usr/lib/mozilla/plugins/
ln -s /opt/IBMJava2/jre/bin/libjavaplugin_jnigcc3.so /usr/lib/mozilla/plugins/
et maintenant le plugin est reconnu et fonctionne.

Allez dernière question pour la route et pour la culture: Pourquoi IBM ne rends pas libre sa propre JVM?